#! /usr/bin/env python

"""Fixes all the images in a list.

The corrupted images are moved to a hidden subdirectory.
"""
"""
Copyright 2006 Edward C. Jones

This file is part of mrquery.

mrquery is free software; you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

mrquery is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
mrquery; if not, write to the Free Software Foundation, Inc., 51 Franklin
St, Fifth Floor, Boston, MA 02110-1301 USA
"""
import sys, optparse
import checkims

usage = 'USAGE: ./fixims.py [-h] <file with list of images>'
parser = optparse.OptionParser(usage=usage)
options, args = parser.parse_args()

if len(args) != 1:
    parser.print_help()
    sys.exit('an argument is required')
for name in file(args[0], 'r'):
    name = name.strip()
    if name == '':
        continue
    print name
    message = checkims.fixim(name)
    print name, message
    print '===='
    sys.stdout.flush()
