#! /usr/bin/env python

"""Prints a list of mv commands"""

import sys, optparse

usage = """\
USAGE: ./moveims <filename> <1 or 2>
       1: mv name1 name2
       2: mv name2 name1
       Inputs a file created by "getXtext.py".
       Prints a list of mv commands."""

if len(sys.argv) != 3:
    sys.exit(usage)
parser = optparse.OptionParser(usage=usage)
options, args = parser.parse_args()
if len(args) != 2:
    parser.print_help()
    sys.exit('two arguments are required')

killdatafile = args[0]
direction = args[1]
if direction not in ('1', '2'):
    raise TypeError("the second argument must be '1' or '2'")
text = open(killdatafile, 'r').read()
pairs = text.strip().split('\n\n')
del pairs[0]
for pair in pairs:
    line1, line2 = pair.split('\n')
    name1 = line1.split()[-1]
    name2 = line2.split()[-1]
    if direction == '1':
        print 'mv', name1, name2
    else:
        print 'mv', name2, name1
